# Class CIM_CIMXMLCommunicationMechanism
extends CIM_ObjectManagerCommunicationMechanism

This class specializes ObjectManagerCommunicationMechanism, adding properties specific to the CIM-XML protocol (XML encoding and CIM Operations).

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_EnabledLogicalElement
|
+--CIM_ServiceAccessPoint
|
+--CIM_ObjectManagerCommunicationMechanism
|
+--CIM_CIMXMLCommunicationMechanism

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Deprecated | string | CIM_CIMXMLCapabilities
Description | string | This class specializes ObjectManagerCommunicationMechanism, adding properties specific to the CIM-XML protocol (XML encoding and CIM Operations).
UMLPackagePath | string | CIM::Interop
Version | string | 2.39.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
CIMValidated | boolean |
Deprecated | string | No value
Description | string | Describes whether the CIM Server is strictly validating (validates the XML document against the DTD) or not (loosely validating).
Required | boolean | true
CIMXMLProtocolVersion | uint16 |
Deprecated | string | CIM_CIMXMLCommunicationMechanism.Version
Description | string | Enumeration describing the CIM-XML protocol version supported by the ObjectManager. It is deprecated in lieu of a more general, inherited property (Version).
Required | boolean | true
ValueMap | string | 0, 1
Values | string | Unknown, 1.0
CommunicationMechanism | uint16 | 2
Deprecated | string | CIM_ProtocolService.Protocol
Description | string | The only valid CommunicationMechanism for this subclass is CIM-XML.
ModelCorrespondence | string | CIM_ObjectManagerCommunicationMechanism.OtherCommunicationMechanismDescription
Override | string | CommunicationMechanism
Required | boolean | true
ValueMap | string | 2
Values | string | CIM-XML
Version | string |
Deprecated | string | CIM_WBEMProtocolServiceCapabilities.WBEMProtocolVersionsSupported
Description | string | Enumeration describing the CIM-XML protocol version supported by the ObjectManager.
Override | string | Version
Required | boolean | true
ValueMap | string | 1.0, 1.1, 1.2

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CreationClassName | string | CIM_ServiceAccessPoint
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_ManagedElement
EnabledDefault | uint16 | CIM_EnabledLogicalElement
EnabledState | uint16 | CIM_EnabledLogicalElement
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
MultipleOperationsSupported | boolean | CIM_ObjectManagerCommunicationMechanism
Name | string | CIM_ServiceAccessPoint
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherCommunicationMechanismDescription | string | CIM_ObjectManagerCommunicationMechanism
OtherEnabledState | string | CIM_EnabledLogicalElement
PrimaryStatus | uint16 | CIM_ManagedSystemElement
RequestedState | uint16 | CIM_EnabledLogicalElement
Status | string | CIM_ManagedSystemElement
SystemCreationClassName | string | CIM_ServiceAccessPoint
SystemName | string | CIM_ServiceAccessPoint
TimeOfLastStateChange | datetime | CIM_EnabledLogicalElement
TransitioningToState | uint16 | CIM_EnabledLogicalElement
AdvertiseTypeDescriptions | string[] | CIM_ObjectManagerCommunicationMechanism
AdvertiseTypes | uint16[] | CIM_ObjectManagerCommunicationMechanism
AuthenticationMechanismDescriptions | string[] | CIM_ObjectManagerCommunicationMechanism
AuthenticationMechanismsSupported | uint16[] | CIM_ObjectManagerCommunicationMechanism
AvailableRequestedStates | uint16[] | CIM_EnabledLogicalElement
FunctionalProfileDescriptions | string[] | CIM_ObjectManagerCommunicationMechanism
FunctionalProfilesSupported | uint16[] | CIM_ObjectManagerCommunicationMechanism
OperationalStatus | uint16[] | CIM_ManagedSystemElement
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
RequestStateChange | uint32 | CIM_EnabledLogicalElement